## network-manager 0.9.2.0

=== debian/changelog ===
network-manager (0.9.2.0-2) unstable; urgency=low

  * Build against libnl3.
  * Change section of gir1.2-networkmanager-1.0 to introspection.
  * Fix versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.
  * debian/patches/04-ifupdown-support-dns-search-entries.patch
    - Support dns-search entries in /etc/network/interfaces as used by
      resolvconf and openresolv. (Closes: #651447)
      Patch cherry-picked from upstream Git.
  * Add Recommends on crda to apply regulatory domain settings for wireless
    devices. (Closes: #653706)

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2012 13:16:32 +0100

network-manager (0.9.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/04-dont-update-routing-and-dns-for-unmanaged-devices.patch
    - Removed, applied upstream.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 05:50:39 +0100

network-manager (0.9.1.95-1) unstable; urgency=low

  * New upstream release (0.9.2 rc1).
    - Fix connection sharing with newer iptables versions. (Closes: #638995)
    - Fix handling of numeric SSIDs in the keyfile plugin. (Closes: #642912)
  * debian/watch: Track .xz tarballs.
  * debian/libnm-util2.symbols: Add new symbols for libnm-util.
  * debian/patches/04-dont-update-routing-and-dns-for-unmanaged-devices.patch
    - Avoid blowing away existing routes and resolv.conf if NM never managed
      any devices. (Closes: #546893, #624159, #637005, #641904)
  * debian/control: Add Build-Depends on libglib2.0-doc for proper
    cross-references in the gtk-doc API documentation.
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Nov 2011 21:32:50 +0100

network-manager (0.9.0-2) unstable; urgency=low

  * Add Breaks against network-manager-openconnect (<< 0.9) and
    plasma-widget-networkmanagement (<< 0.9~) to avoid partial upgrades.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Sep 2011 02:29:40 +0200

network-manager (0.9.0-1) experimental; urgency=low

  * New upstream release.
    - Properly enforce PolicyKit settings controlling the permissions to
      configure wireless network sharing. (CVE-2011-2176, Closes: #631520)
  * Update symbols files.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Aug 2011 00:40:48 +0200
