=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends:
 debhelper (>= 8),
 dpkg-dev (>= 1.16.1),
 autotools-dev,
 pkg-config,
 intltool,
 libdbus-glib-1-dev (>= 0.75),
 libdbus-1-dev (>= 1.1),
 libiw-dev(>= 27+28pre9),
 libglib2.0-dev (>= 2.22),
 libnl-3-dev,
 libnl-route-3-dev,
 ppp-dev (>= 2.4.5),
 libpolkit-gobject-1-dev,
 libgnutls-dev,
 uuid-dev,
 libudev-dev (>= 147),
 libgudev-1.0-dev,
 libgirepository1.0-dev (>= 0.9.12),
 gobject-introspection (>= 0.9.12-4~),
 gir1.2-glib-2.0,
 gir1.2-freedesktop,
 gtk-doc-tools,
 libglib2.0-doc
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager.git;a=summary
Homepage: http://www.gnome.org/projects/NetworkManager/

Package: network-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base (>= 3.2-14),
 wpasupplicant (>= 0.7.3-1),
 dbus (>= 1.1.2),
 udev,
 adduser,
 isc-dhcp-client (>= 4.1.1-P1-4)
Recommends:
 policykit-1,
 ppp (>= 2.4.5),
 dnsmasq-base,
 iptables,
 modemmanager,
 crda
Suggests: avahi-autoipd
Breaks:
 network-manager-gnome (<< 0.9),
 network-manager-openvpn (<< 0.9),
 network-manager-vpnc (<< 0.9),
 network-manager-pptp (<< 0.9),
 network-manager-openconnect (<< 0.9),
 network-manager-kde (<< 1:0.9),
 plasma-widget-networkmanagement (<< 0.9~),
 ppp (<< 2.4.5)
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * policykit-1: Required for reading and writing system connections.
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
    address configuration.

Package: network-manager-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: network management framework (development files)
 this package provides header files that are needed to
 compile VPN Plugins for NetworkManager.

Package: libnm-glib4
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (GLib shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-dev
Section: libdevel
Architecture: any
Depends:
 libnm-glib4 (= ${binary:Version}),
 gir1.2-networkmanager-1.0 (= ${binary:Version}),
 ${misc:Depends},
 libnm-util-dev,
 network-manager-dev,
 libglib2.0-dev,
 libdbus-glib-1-dev
Description: network management framework (GLib interface)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the interface that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-vpn1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (GLib VPN shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-glib-vpn-dev
Section: libdevel
Architecture: any
Depends:
 libnm-glib-vpn1 (= ${binary:Version}),
 ${misc:Depends},
 libnm-glib-dev
Description: network management framework (GLib interface)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-util2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-util-dev
Section: libdevel
Architecture: any
Depends:
 libnm-util2 (= ${binary:Version}),
 gir1.2-networkmanager-1.0 (= ${binary:Version}),
 ${misc:Depends},
 libglib2.0-dev,
 libdbus-glib-1-dev
Description: network management framework (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: network-manager-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 network-manager (= ${binary:Version}) | libnm-util2 (= ${binary:Version}) | libnm-glib4 (= ${binary:Version}) | libnm-glib-vpn1 (= ${binary:Version}),
 ${misc:Depends}
Description: network management framework (debugging symbols)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains detached debugging symbols.

Package: gir1.2-networkmanager-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GObject introspection data for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
