## network-manager 0.9.4.0

=== debian/changelog ===
network-manager (0.9.4.0-10) unstable; urgency=low

  * debian/patches/21-carrier-detect.patch: ensure carrier is always on for
    devices that don't support detection (rh #816719). (Closes: #699292)
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Jan 2013 01:12:53 +0100

network-manager (0.9.4.0-9) unstable; urgency=low

  * Change the ifupdown dispatcher script and set ADDRFAM to "inet" or "inet6"
    depending on whether the connection has a valid IPv4 or IPv6 address.
    Using "NetworkManager" as ADDRFAM type did confuse most ifupdown hook
    scripts and e.g. broke async NFS mounts. (Closes: #475188, #656584)
  * debian/patches/05-force-online-with-unmanaged-devices.patch: If network
    interfaces are configured in /etc/network/interfaces, NM will mark those
    devices as unmanaged by default. If such a network interface has been
    brought up by ifup, set the global online state to CONNECTED.
    (Closes: #512286)
  * No longer run the ifblacklist_migrate.sh script upon installation. This
    script was used to comment out DHCP type network interface configurations
    in /etc/network/interfaces as otherwise NM would mark such devices as
    unmanaged. This script was buggy though and sometimes created a broken
    network configuration.
    Since debian-installer in wheezy (7.0) will create proper configuration
    for NM if the network-manager package is part of the installation, this is
    no longer necessary.
    If users make a minimal system installation and install the
    network-manager package afterwards, show a warning in postinst if we
    find any interface configurations in /etc/network/interfaces.
    (Closes: #688355, #690987, #606268)
  * Update README.Debian for the latest changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 29 Jan 2013 04:10:11 +0100

network-manager (0.9.4.0-8) unstable; urgency=low

  * Move the pkla file to /etc/polkit-1 as requested by the release team.
  * debian/patches/04-systemd-set-kill-mode-process.patch: By default, when
    shutting NM down, systemd will kill everything in its cgroup. But this
    can cause problems (eg, NM thinking that dhclient crashed and then taking
    down an interface that it would otherwise have left up). Fix this by
    setting KillMode=process, which tells systemd to only kill NM itself, and
    let NM kill its children. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Jan 2013 20:23:27 +0100

network-manager (0.9.4.0-7) unstable; urgency=low

  * Install a PolicyKit pkla file which allows members of group netdev or sudo
    to create system-wide network connections without being prompted for the
    admin password. (Closes: #642136)
  * Cherry-pick patches for libnm-glib which fix various segfaults e.g. in
    gnome-control-center when switching between overview and network settings
    panel or in gnome-shell and nm-applet when restarting NetworkManager.
    (Closes: #696143) (bgo: #674473)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Dec 2012 03:48:18 +0100

network-manager (0.9.4.0-6) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
  * debian/patches/15-ignore-cached-cloned-routes-ipv6-config.patch,
    debian/patches/16-ignore-cached-cloned-routes-kernel-notifications.patch:
    Don't create static IPv6 routes for cached/cloned routes. Patches
    cherry-picked from upstream Git. (Closes: #686328)
  * debian/patches/17-dbus-remove_max_replies_per_connection_limit.patch:
    Remove 'max_replies_per_connection' limit from D-Bus configuration which
    sets it to 512. It was intended to increase the limit from its historical
    value of 32. However, since 2007 the default limit has been 8192, so this
    is actually a reduction. (Closes: #678965)

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Sep 2012 19:24:15 +0200

network-manager (0.9.4.0-5) unstable; urgency=low

  * debian/patches/14-use-same-kernel-API-as-wpa_supplicant.patch: Some
    drivers (ipw2x00) have an incomplete nl80211 implementation and only
    report capabilities which made NM chose the wrong API to talk to the
    device. Instead, match the logic that wpa_supplicant uses to determine
    whether to stick with nl80211 or fall back to WEXT. (Closes: #673705)

 -- Michael Biebl <biebl@debian.org>  Tue, 29 May 2012 12:30:11 +0200

network-manager (0.9.4.0-4) unstable; urgency=low

  * debian/network-manager.dirs: Install /etc/NetworkManager/VPN/ directory.
    This directory needs to exist so NetworkManager can monitor it for changes
    (via inotify) to automatically detect newly installed VPN plugins.
    (Closes: #672963)
  * debian/network-manager.maintscript: Use new versioning scheme as
    recommended by dpkg-maintscript-helper which better handles local
    modifications and (bin)NMUs.
  * debian/patches/13-dont-replace-kernel-default-route-for-IPv6.patch: Don't
    fight with the kernel over the default IPv6 route. (Closes: #670818)

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 01:59:39 +0200

network-manager (0.9.4.0-3) unstable; urgency=low

  * debian/patches/12-initialize-gerror.patch: Initialize GError, else invalid
    free() crash can occur. Fixes a crash in gnome-shell if NetworkManager is
    not running. Patch cherry-picked from upstream Git. (Closes: #665791)
    Thank a lot to Antti-Juhani Kaijanaho for tracking down this problem!
  * Remove explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop,
    let libgirepository1.0-dev pull those dependencies.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2012 20:20:13 +0200

network-manager (0.9.4.0-2) unstable; urgency=low

  * debian/patches/11-initialize-nm-remote-settings.patch: Cherry-pick patch
    from upstream Git which fixes a regression when initializing
    NMRemoteSettings. (Closes: #665752)

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 07:18:51 +0200

network-manager (0.9.4.0-1) unstable; urgency=low


