=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 8.1.0),
  dpkg-dev (>= 1.16.1),
  autotools-dev,
  pkg-config,
@@ -15,25 +15,25 @@
  libglib2.0-dev (>= 2.22),
  libnl-3-dev,
  libnl-route-3-dev,
+ libnl-genl-3-dev,
  ppp-dev (>= 2.4.5),
  libpolkit-gobject-1-dev,
  libgnutls-dev,
  uuid-dev,
  libudev-dev (>= 147),
  libgudev-1.0-dev,
- libgirepository1.0-dev (>= 0.9.12),
+ libgirepository1.0-dev (>= 0.10.7-1~),
  gobject-introspection (>= 0.9.12-4~),
- gir1.2-glib-2.0,
- gir1.2-freedesktop,
  gtk-doc-tools,
  libglib2.0-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager.git;a=summary
 Homepage: http://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
