=== debian/rules ===
--- 
+++ 
@@ -40,4 +40,7 @@
 	dh_girepository -plibnm-util2
 	dh_girepository -plibnm-glib4
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
 override_dh_auto_test:
