## network-manager 0.9.6.0

=== debian/changelog ===
network-manager (0.9.6.0-0ubuntu7) quantal; urgency=low

  * debian/network-manager.dnsmasq: Drop "except-interface=lo", since we don't
    listen on 127.0.0.1 directly anymore and keeping that directive has the
    tendency to break system-wide instances of dnsmasq which would write out
    127.0.0.1 to /etc/resolv.conf but never listen on that IP. (LP: #1044388)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 14 Sep 2012 17:07:19 -0400

network-manager (0.9.6.0-0ubuntu6) quantal; urgency=low

  * debian/patches/adhoc_use_wpa_rsn_part1.patch,
    debian/patches/adhoc_use_wpa_rsn_part2.patch: Re-enable WPA for Adhoc; but
    use WPA2/RSN for encryption rather than WPA-None, which is clearly broken.
    (LP: #1046918)
  * debian/tests/nm: drop the test testNMConnected; in a build environment it
    tends to be racy; sometimes NM isn't quite ready to transition to the
    CONNECTING or CONNECTED states, we don't want to hold things up because of
    it. (LP: #1047224)
  * debian/tests/dnsmasq: update the test to correctly point to the new DBus
    address for NetworkManager's dnsmasq instance. (LP: #1047221)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 07 Sep 2012 15:48:24 -0400

network-manager (0.9.6.0-0ubuntu5) quantal; urgency=low

  * debian/patches/nm-ipv6-route-cache.patch: don't re-add routes we receive
    from kernel notifications to the routing table if they have the
    RTM_F_CLONED flag; since that means they're host routes used temporarily
    by the kernel to reach a specific destination; keeping them would cause at
    least issues with VPNs, and possibly confusion with routing daemons.
    Thanks to Ben Jenks for the patch. (LP: #1038541)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 29 Aug 2012 16:38:51 -0400

network-manager (0.9.6.0-0ubuntu4) quantal; urgency=low

  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: set the address
    dnsmasq (and bind) plugins should listen on for DNS resolution to 127.0.1.1,
    as opposed to 127.0.0.1 to avoid conflicts with other instances that might
    need to run on the system with that address.
    Also set the dnsmasq DBus service name to our own custom name:
    org.freedesktop.NetworkManager.dnsmasq, which will also avoid conflicting
    with other dnsmasq instances which might have --enable-dbus enabled.
    (LP: #1034946)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 21 Aug 2012 11:45:46 -0400

network-manager (0.9.6.0-0ubuntu3) quantal; urgency=low

  * debian/patches/dnsmasq-dbus-updates.patch: make sure the no_reply flag is
    set for the SetServers message we send to dnsmasq -- we're not expecting a
    reply and the messages otherwise stick around in the queue as pending.
    (LP: #1033600)
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: properly query
    both /etc/sysctl.d/10-ipv6-privacy.conf and /etc/sysctl.conf for the value
    of use_tempaddr. (LP: #998223)
  * debian/patches/dnsmasq-dbus-updates.patch: fail DNS caching updates (so as
    to not write 127.0.0.1 to resolv.conf) if the lists of device configs were
    empty (no nameservers or domains). (LP: #1023486)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Aug 2012 00:46:06 -0400

network-manager (0.9.6.0-0ubuntu2) quantal; urgency=low

  * debian/control: libnm-glib-dev must have a versioned Depends on
    network-manager-dev.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 08 Aug 2012 16:27:35 -0400

network-manager (0.9.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release 0.9.6.0; notable changes since 0.9.4.0: 
    - Many libnm-glib fixes, including crashes when NetworkManager restarts
    - Enhanced IPv6 stability and compatibility
    - Fix regression in carrier handling for devices that don't support carrier
      detection
    - Add ability to connect to new WiFi networks from nmcli
    - Add native support for ADSL modems using PPPoE or PPPoATM
    - Reduce number of changes made to DNS information during connection setup
    - Add support for IPv6-enabled VPN connections
    - Add device driver version, firmware version, and autoconnect properties
      to the D-Bus API
    - Add on-demand WiFi scan support
    - Fix IPv6 default gateway handling for DHCPv6
    - Add Vala language bindings
    - Fix race with multiple interfaces running DHCP at the same time

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 07 Aug 2012 16:05:15 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu5) quantal; urgency=low

  * debian/rules: update install rules to enable --fail-missing: explicitly
    delete .la files and clean up other unwanted files.
  * debian/control, debian/rules: build with --enable-vala so that we can ship
    vala bindings for NetworkManager.
  * debian/patches/fix-vapigen-detection.patch: patch configure.ac and the
    file m4/vapigen.m4 to properly handle detection of vapigen from valac-0.18,
    which does not ship a vapigen.pc file, only one with a version suffix.
  * debian/libnm-util-dev.install, debian/libnm-glib-dev.install: install vala
    bindings to the appropriate locations.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 07 Aug 2012 11:39:04 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu4) quantal; urgency=low

  * debian/tests/nm, debian/tests/dnsmasq: run ifblacklist_migrate.sh while
    setting up the tests; so that we have some devices we can manage and use
    to get proper data for the tests.
  * debian/patches/dnsmasq-dbus-updates.patch: don't crash when building the
    dbus message for updating dnsmasq's nameservers. (LP: #1031274)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 03 Aug 2012 11:31:34 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu3) quantal; urgency=low

  * debian/tests/nm: spawn console-kit-daemon and polkitd before starting
    NetworkManager in our "private" DBus bus.

