=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends:
- debhelper (>= 8.1.0),
- dpkg-dev (>= 1.16.1),
+ debhelper (>= 8.1.0~),
+ dh-autoreconf,
  autotools-dev,
  pkg-config,
  intltool,
@@ -13,23 +14,32 @@
  libdbus-1-dev (>= 1.1),
  libiw-dev(>= 27+28pre9),
  libglib2.0-dev (>= 2.22),
+ libsoup2.4-dev (>= 2.26),
  libnl-3-dev,
+ libnl-genl-3-dev,
  libnl-route-3-dev,
- libnl-genl-3-dev,
  ppp-dev (>= 2.4.5),
  libpolkit-gobject-1-dev,
- libgnutls-dev,
+ libnss3-dev,
  uuid-dev,
  libudev-dev (>= 147),
  libgudev-1.0-dev,
- libgirepository1.0-dev (>= 0.10.7-1~),
+ libnotify-dev (>= 0.3),
+ isc-dhcp-client (>= 4.1.1-P1-4),
+ gtk-doc-tools,
+ dbus-test-runner,
+ dbus,
+ libgirepository1.0-dev (>= 0.9.12),
  gobject-introspection (>= 0.9.12-4~),
- gtk-doc-tools,
- libglib2.0-doc
+ valac-0.18 (>= 0.17.1.24),
+ python-gobject-2,
+ python-dbus,
+ gir1.2-glib-2.0,
+ gir1.2-freedesktop
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager.git
-Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~network-manager/network-manager/ubuntu
 Homepage: http://www.gnome.org/projects/NetworkManager/
+XS-Testsuite: autopkgtest
 
 Package: network-manager
 Architecture: any
@@ -41,25 +51,26 @@
  wpasupplicant (>= 0.7.3-1),
  dbus (>= 1.1.2),
  udev,
- adduser,
- isc-dhcp-client (>= 4.1.1-P1-4)
+ isc-dhcp-client (>= 4.1.1-P1-4),
+ iproute,
+ dnsmasq-base,
+ policykit-1,
+ iputils-arping
 Recommends:
- policykit-1,
+ network-manager-pptp,
+ network-manager-gnome | network-manager-kde | plasma-widget-networkmanagement,
  ppp (>= 2.4.5),
- dnsmasq-base,
  iptables,
- modemmanager,
- crda
-Suggests: avahi-autoipd
+ modemmanager
+Suggests: avahi-autoipd, python
 Breaks:
- network-manager-gnome (<< 0.9),
- network-manager-openvpn (<< 0.9),
- network-manager-vpnc (<< 0.9),
- network-manager-pptp (<< 0.9),
- network-manager-openconnect (<< 0.9),
- network-manager-kde (<< 1:0.9),
- plasma-widget-networkmanagement (<< 0.9~),
+ network-manager-gnome (<< 0.8.99),
+ network-manager-kde (<< 1:0.9~~),
+ network-manager-openvpn (<< 0.8.99),
+ network-manager-vpnc (<< 0.8.99),
+ network-manager-pptp (<< 0.8.99),
  ppp (<< 2.4.5)
+Conflicts: connman
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
@@ -71,10 +82,7 @@
  interact with NetworkManager.
  .
  Optional dependencies:
-  * policykit-1: Required for reading and writing system connections.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
-  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
-    connection sharing.
   * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
     address configuration.
 
@@ -83,7 +91,14 @@
 Section: devel
 Depends: ${misc:Depends}
 Description: network management framework (development files)
- this package provides header files that are needed to
+ NetworkManager attempts to keep an active network connection available at all
+ times. It is intended only for the desktop use-case, and is not intended for
+ usage on servers. The point of NetworkManager is to make networking
+ configuration and setup as painless and automatic as possible.  If using DHCP,
+ NetworkManager is _intended_ to replace default routes, obtain IP addresses
+ from a DHCP server, and change nameservers whenever it sees fit.
+ .
+ This package provides header files that are needed to 
  compile VPN Plugins for NetworkManager.
 
 Package: libnm-glib4
@@ -110,7 +125,7 @@
  gir1.2-networkmanager-1.0 (= ${binary:Version}),
  ${misc:Depends},
  libnm-util-dev,
- network-manager-dev,
+ network-manager-dev (>= 0.9.6.0),
  libglib2.0-dev,
  libdbus-glib-1-dev
 Description: network management framework (GLib interface)
@@ -129,6 +144,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libnm-glib2
+Replaces: libnm-glib2
 Description: network management framework (GLib VPN shared library)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
@@ -207,7 +224,7 @@
  This package contains detached debugging symbols.
 
 Package: gir1.2-networkmanager-1.0
-Section: introspection
+Section: libs
 Architecture: any
 Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: GObject introspection data for NetworkManager
