## network-manager 0.9.7.995+git201301311547.17123fc

=== debian/changelog ===
network-manager (0.9.7.995+git201301311547.17123fc-0ubuntu1) raring; urgency=low

  * upstream snapshot 2013-01-31 15:47:41 (GMT)
    + 17123fcc612e5704d055d012a0298c954609754a

  [ Marius Kotsbak ]
  * debian/rules: enable connectivity check again, which is now optional,
    with configure option "--enable-concheck".

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/70_lp145653_no_sigaction_for_crashes.patch: dropped, applied
    upstream.
  * debian/patches/dhcpv6-duid-support.patch: dropped, applied upstream.
  * debian/rules: drop --with-distro; which is no longer needed.
  * debian/network-manager.install: drop nm-crash-logger, which is no longer
    being built -- internal crash handling was removed.
  * debian/libnm-glib4.symbols: new symbols:
    + nm_client_get_logging@Base 0.9.7.995+git201301311547.17123fc
    + nm_client_set_logging@Base 0.9.7.995+git201301311547.17123fc
    + nm_device_wifi_request_scan_simple@Base 0.9.7.995+git201301311547.17123fc
  * debian/tests/dnsmasq: improve the test in hope to better catch the state
    of dnsmasq when started by NetworkManager.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 01 Feb 2013 19:12:05 -0500

network-manager (0.9.6.0+git201301021750.e78c3e8-0ubuntu3) raring; urgency=low

  * debian/patches/bridge_ignore_without_connections.patch: properly handle the
    cases where we should still keep a bridge device unmanaged after resume
    from suspend.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 21 Jan 2013 18:59:03 -0500

network-manager (0.9.6.0+git201301021750.e78c3e8-0ubuntu2) raring; urgency=low

  * debian/patches/bridge_ignore_without_connections.patch: Ignore bridge
    devices that don't have configured connections, so as not to compete with
    lxc or libvirt and trample their config. (LP: #1099155)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Jan 2013 15:20:08 -0500

network-manager (0.9.6.0+git201301021750.e78c3e8-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2013-01-02 17:50:32 (GMT)
    + e78c3e83d2e0b49641c9d484e0b35b3c6ff9f0db
  * debian/patches/dhcpv6-duid-support.patch: refreshed.
  * debian/patches/nm-change-dnsmasq-parameters.diff: refreshed.
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: refreshed.
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: refreshed.
  * debian/patches/add-veth-support.diff: refreshed.
  * debian/patches/dnsmasq-dbus-updates.patch: refreshed.
  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: refreshed.
  * debian/patches/adhoc_use_wpa_rsn_part2.patch: refreshed.
  * debian/patches/send_hostname_for_default_connection.patch: dropped, applied
    upstream.
  * debian/patches/fix-vapigen-detection.patch: refreshed.
  * debian/patches/50_gettext_macros.patch: dropped.
  * debian/rules: simplify call to dh_autoreconf; just run autogen.sh.
  * debian/libnm-glib4.symbols: add symbols:
    + nm_device_bridge_error_get_type@Base
    + nm_device_bridge_error_quark@Base
    + nm_device_bridge_get_carrier@Base
    + nm_device_bridge_get_hw_address@Base
    + nm_device_bridge_get_slaves@Base
    + nm_device_bridge_get_type@Base
    + nm_device_bridge_new@Base
  * debian/libnm-util2.symbols: add symbols:
    + nm_connection_get_setting_bridge@Base
    + nm_connection_get_setting_bridge_port@Base
    + nm_setting_bridge_error_get_type@Base
    + nm_setting_bridge_error_quark@Base
    + nm_setting_bridge_get_*@Base
    + nm_setting_bridge_new@Base
    + nm_setting_bridge_port_error_get_type@Base
    + nm_setting_bridge_port_error_quark@Base
    + nm_setting_bridge_port_get_*@Base
    + nm_setting_bridge_port_new@Base
    + nm_setting_ip6_config_get_dhcp_hostname@Base

  [ Thomas Bechtold ]
  * debian/README.source: fix branchname for ubuntu packaging

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 07 Jan 2013 10:45:49 -0500

network-manager (0.9.6.0+git201211131441.e9e2c56-0ubuntu3) raring; urgency=low

  * debian/patches/send_hostname_for_default_connection.patch: always send
    the hostname to the DHCP server if we're activating a default, automatic
    wired connection. (LP: #1084064)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 04 Dec 2012 12:45:24 -0500

network-manager (0.9.6.0+git201211131441.e9e2c56-0ubuntu2) raring; urgency=low

  * debian/rules: give tests (run by dbus-test-runner) a timeout of 5 minutes.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Nov 2012 15:42:45 -0500

network-manager (0.9.6.0+git201211131441.e9e2c56-0ubuntu1) raring; urgency=low

  * upstream snapshot 2012-11-13 14:41:20 (GMT)
    + e9e2c5645f869f0671c29f14bf99793787c0272c
  * debian/patches/dhcpv6-duid-support.patch:
    - refresh patch to properly apply to git master.
    - Fix some logic issues when failing to open a default lease file.
  * debian/patches/lp859373_upgrade_policy_fix.patch: refreshed.
  * debian/patches/nm-change-dnsmasq-parameters.diff: refreshed.
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: refreshed.
  * debian/patches/add_sendsigs_omissions.patch: refreshed.
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: refreshed.
  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: refreshed.
  * debian/patches/adhoc_use_wpa_rsn_part1.patch: refreshed.
  * debian/patches/adhoc_use_wpa_rsn_part2.patch: refreshed.
  * debian/patches/quit_dhclient_on_exit.patch: refreshed.
  * debian/patches/dnsmasq-dbus-updates.patch: refreshed.
  * debian/libnm-util2.symbols: add new symbols:
    + nm_setting_connection_add_secondary@Base
    + nm_setting_connection_get_num_secondaries@Base
    + nm_setting_connection_get_secondary@Base
    + nm_setting_connection_remove_secondary@Base
    + nm_utils_ap_mode_security_valid@Base
    + nm_utils_iface_valid_name@Base
    + nm_utils_is_uuid@Base
  * debian/libnm-glib4.symbols: add:
    + nm_device_bond_get_slaves@Base
  * debian/tests/dnsmasq: bump delay after setting up dnsmasq to 30 seconds, to

