=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/NetworkManager \
-		--with-distro=debian \
 		--with-resolvconf=/sbin/resolvconf \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
@@ -35,7 +34,8 @@
 		--enable-introspection \
 		--enable-vala \
 		--with-tests \
-		--with-docs
+		--with-docs \
+		--enable-concheck \
 
 override_dh_install:
 	# Get rid of .la files.
@@ -70,7 +70,7 @@
 	dh_girepository -plibnm-glib4
 
 override_dh_auto_test:
-	dbus-test-runner -t dh_auto_test
+	dbus-test-runner -m 300 -t dh_auto_test
 
 override_dh_clean:
 	dh_clean
@@ -88,9 +88,7 @@
 	rm -f po/Makefile.in.in
 	
 override_dh_autoreconf:
-	intltoolize -f -c
-	gtkdocize --copy
-	dh_autoreconf
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 GET_SOURCE = \
 	set -e; \
