=== debian/tests/control ===
Tests: nm dnsmasq
Depends: python3, python3-aptdaemon.test, python3-gi, network-manager, gir1.2-networkmanager-1.0
Restrictions: needs-root
